#version 430 core

layout(location = 0) in vec2 vertexPosition_screenspace;
layout(location = 1) in vec2 vertexUV;

out vec2 UV;

uniform int width;
uniform int height;

void main(){

	vec2 vertexPosition_homogeneousspace = vertexPosition_screenspace - vec2(width / 2, height / 2);
	vertexPosition_homogeneousspace /= vec2(width / 2, height / 2);
	gl_Position =  vec4(vertexPosition_homogeneousspace,0,1);
	
	UV = vertexUV;
}